using System;
using Server;
using Server.Spells.Fourth;
using Server.Targeting;

namespace Server.Items
{
	public class ArchProtectionNewWand : BaseNewWand
	{
		[Constructable]
		public ArchProtectionNewWand() : base( NewWandEffect.Charges, 1, 11 )
		{
			Name = "Wand of Arch Protection";
		}

		public ArchProtectionNewWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnNewWandUse( Mobile from )
		{
			Cast( new ArchProtectionSpell( from, this ) );
		}
	}
}